apiVersion: v1
kind: ConfigMap
metadata:
    name: {{ template "novnc.fullname" . }}-openvpn-client
    app.kubernetes.io/managed-by: {{ .Release.Service }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    helm.sh/chart: {{ .Chart.Name }}-{{ .Chart.Version }}
    app.kubernetes.io/name: {{ template "novnc.name" . }}
data:
  OPVN_GEN_CONF: '1'
  OVPN_API_URL: http://openvpn-api:8000/api/regule/
  OVPN_CLIENT: '1'
  OVPN_API_URL_AUTH: http://openvpn-api:8000/api-token-auth/
  OPENVPN_PORT: {{ .Values.configmap.ovpnPort | quote }}
  OPENVPN_CLUSTER_PORT: {{ .Values.configmap.ovpnClusterPort | quote }}
  STANDALONE: "0"
  OPENVPN_SRV_URL: {{ .Values.configmap.ovpnServerUrl }}